### Method

# Adw OverlaySplitView set_sidebar_width_fraction

since: 1.4

#### Declaration [src]

    void
    adw_overlay_split_view_set_sidebar_width_fraction (
      AdwOverlaySplitView* self,
      double fraction
    )

#### Description [src]

Sets the preferred sidebar width as a fraction of the total width of `self`.

The preferred width is additionally limited by `AdwOverlaySplitView:min-sidebar-width` and `AdwOverlaySplitView:max-sidebar-width`.

The sidebar widget can be allocated with larger width if its own minimum width exceeds the preferred width.

Available since: 1.4

Sets property | `Adw.OverlaySplitView:sidebar-width-fraction`

#### Parameters

`fraction`

  Type: `double`

  The preferred width fraction.